
QGIS Application - Bug report #91

first letter of layer name is forced to uppercase

2006-04-20 01:50 PM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10150

Description

This is wrong. Eg., my layer name in Grass is "bram_wod", but Qgis displays like if the name was "Bram_wod". Why confuse user? And if

the layer name was indeed "Bram_wod", how would I make distinction? UNIX is case sensitive. Let qGIS follow. At leat on UniX.

Maciek

History

#1 - 2006-05-05 05:43 AM - Marco Hugentobler

Generally, the name of a qgis layer does not have to be the same as the filename (in the qgis code this is called 'beautifying of layer names'. It is even

possible to change it in the layer props dialog. But ok, it may be confusing for users. What is the general consensus about that?

#2 - 2006-05-09 01:59 AM - Gavin Macaulay -

We could make it a configurable thing and keep everyone happy

#3 - 2006-05-09 06:26 PM - Gary Sherman

I say make it configurable

#4 - 2006-05-09 06:50 PM - Gavin Macaulay -

That's a good enoughy consensus for me!

#5 - 2006-05-11 12:51 AM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

A global per-user settings for the capitalisation of layer names is in SVN commit:7e988cbf (SVN r5435)

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
